<?
$sa = qw("SELECT * FROM stroyka WHERE strana='$re1[strana]'");
while($as = mysql_fetch_array($sa)){
switch($as[vid]){
case 1:
$hata="Ратуша построена";$f='oxp_1';$hat="ратуша";
break;
case 2:
$hata="Казарма построена";$f='oxp_2';$hat="казарма";
break;
case 3:
$hata="Хранилище построено";$f='oxp_3';$hat="хранилище";
break;
case 4:
$hata="Университет построен";$f='oxp_4';$hat="университет";
break;
case 5:
$hata="Деревня построена";$f='oxp_5';$hat="деревня";
break;
case 6:
$hata="Стена построена";$f='oxp_6';$hat="стена";
break;
case 7:
$hata="Фабрика построена";$f='oxp_7';$hat="фабрика";
break;
case 8:
$hata="Нефтевышка построена";$f='oxp_8';$hat="нефтевышка";
break;
case 9:
$hata="Бункер построен";$f='oxp_9';$hat="бункер";
break;
case 10:
$hata="Сторожевая башня построена";$f='oxp_10';$hat="сторожевая башня";
break;
}
$trm1=time();$tst1=round(($as[data]+$as[time])-$trm1);
$sec = $tst1;
$min = floor($sec/60);$sec-=$min*60;
$z4=$as[data];
if($tst1>0){
echo"<b>{</b>";echo'<a href="game.php?make=6&id='.$as[id].'&der='.$key.'">'.$hat.'</a>';echo"(<b>$min</b>м.<b>$sec</b>c.)";echo"<b>}</b><br/>";
}else{
$s1=date("H");$s2=date("i");
qw("UPDATE gos2 SET rab=rab+$as[rab] WHERE strana='$re1[strana]'");
qw("UPDATE domik SET $as[dom]='1' WHERE strana='$re1[strana]'");
qw("DELETE FROM stroyka WHERE strana='$re1[strana]' AND id='$as[id]'");
$data=time();
qw("INSERT INTO $f (strana) VALUES('$re1[strana]')");
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$data','0','0','$hata')");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('1','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'$hata')");
header("Location:game.php?der=$key");
}

}
?>